Delete an asset criticality record
- Base URL
-
https://{kibana_url}
-
DELETE
/api/asset_criticality
Auth
Deprecated
Deprecated in 9.4.0. Use the Entity Store APIs to unassign asset criticality for a specific entity.
Delete the asset criticality record for a specific entity.
-
id_value
string
required
-
The ID value of the asset.
-
Example:
my_host
-
id_field
enum
required
-
The field representing the ID.
-
Values:
host.name
user.name
service.name
entity.id
-
refresh
enum
-
If 'wait_for' the request will wait for the index refresh.
-
Values:
wait_for
-
deleted
boolean
required
-
True if the record was deleted or false if the record did not exist.
-
record
object
-
-
id_field
enum
required
-
Values:
host.name
user.name
service.name
entity.id
-
id_value
string
required
-
The ID value of the asset.
-
criticality_level
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
asset
object
required
-
-
criticality
enum
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
entity
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
host
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
service
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
user
object
-
-
asset
object
-
-
criticality
enum
required
-
The criticality level of the asset.
-
Values:
low_impact
medium_impact
high_impact
extreme_impact
-
@timestamp
string · format: date-time
required
-
The time the record was created or updated.